//CORE VARIABLES
var canvas;
var gl;
var renderer;

//model transforms (model data found in cube.js)
var frameStack = [];
var pose = {
  torso: mat4.create(),
  head: mat4.create(),
  leftUpperArm: mat4.create(),
  leftLowerArm: mat4.create(),
  rightUpperArm: mat4.create(),
  rightLowerArm: mat4.create(),
  leftUpperLeg: mat4.create(),
  leftLowerLeg: mat4.create(),
  rightUpperLeg: mat4.create(),
  rightLowerLeg: mat4.create()
};

//initialization function
function init() {
  //initialize canvas and webgl
  canvas = $('#glcanvas')[0];
  gl = WebGLUtils.setupWebGL( canvas );
  if (!gl) { alert("Unable to initialize WebGL. Your browser may not support it."); return; }

  //set up the OpenGL program as a "renderer" object  
  renderer = new CubeRenderer(gl);

}


//render the scene
function render(){
  gl.clear(gl.COLOR_BUFFER_BIT | gl.DEPTH_BUFFER_BIT); //clear screen

  //a color
  var blue = [0.0, 0.0, 1.0, 1.0];

  //simple cube demo
  var modelMatrix = mat4.create();
  mat4.rotate(modelMatrix, modelMatrix, Math.PI/6, [1,1,1]);
  renderer.drawCube(modelMatrix, blue);

}


//run script when ready
$(document).ready(function(){
  init();
  render(); //start drawing
});
